Bug 204338 - [NEW PORT] devel/rubygem-slop3: devel/rubygem-slop version 3
Summary: [NEW PORT] devel/rubygem-slop3: devel/rubygem-slop version 3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Michael Moll
URL:
Keywords:
Depends on:
Blocks: 203374 204339
  Show dependency treegraph
 
Reported: 2015-11-06 17:55 UTC by Nick Hilliard
Modified: 2015-11-08 00:00 UTC (History)
2 users (show)

See Also:


Attachments
devel/rubygem-slop3 port (1.55 KB, text/plain)
2015-11-06 17:55 UTC, Nick Hilliard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Hilliard 2015-11-06 17:55:35 UTC
Created attachment 162855 [details]
devel/rubygem-slop3 port

rubygem-slop was recently upgraded from v3 to v4, which is completely incompatible.  This has broken code which requires v3, e.g. rubygems-pry.  To fix this, we need a rubygem-slop3 port.
Comment 1 Michael Moll freebsd_committer 2015-11-07 23:46:46 UTC
take
Comment 2 commit-hook freebsd_committer 2015-11-07 23:59:40 UTC
A commit references this bug:

Author: mmoll
Date: Sat Nov  7 23:58:54 UTC 2015
New revision: 401028
URL: https://svnweb.freebsd.org/changeset/ports/401028

Log:
  new port: devel/rubygem-slop3

  PR:		204338
  Submitted by:	Nick Hilliard <nick@foobar.org>

Changes:
  head/devel/Makefile
  head/devel/rubygem-slop3/
  head/devel/rubygem-slop3/Makefile
  head/devel/rubygem-slop3/distinfo
  head/devel/rubygem-slop3/pkg-descr
Comment 3 Michael Moll freebsd_committer 2015-11-08 00:00:27 UTC
commit with added PKGNAMESUFFIX=3, thanks!